// funzione che chiede un numero intero dalla porta seriale
//esempio:
//valore=serial_askfor_int(">>inserire il valore, numero intero max +-32767");


int serial_askfor_int(char *text){    //test  un testo di help da scrivere
 int value;
 Serial.println( text); 
  while (!Serial.available())
         {
         }  
  
           value=Serial.parseInt();
           Serial.flush();
              
         return value;

}



float serial_askfor_float(char *text){    //test  un testo di help da scrivere
 float value;
 Serial.println( text); 
  while (!Serial.available())
         {
         }  
  
           value=Serial.parseFloat();
           Serial.flush();
              
         return value;
}








char serial_askfor_singlechar(char *text){    //test un testo di help da scrivere
 char value;
 Serial.println( text); 
  while (!Serial.available())
         {
         }  
  
           value=Serial.read();
           Serial.flush();
              
         return value;

}


